#
# aliasing.rb
#
#   Copyright (c) 1999-2002 Minero Aoki <aamine@loveruby.net>
#
#   This program is free software.
#   You can distribute/modify this program under the terms of
#   the GNU Lesser General Public License version 2 or later.
#
#   $Id: aliasing.rb,v 1.4 2002/01/05 06:19:34 aamine Exp $
#

class Module

  private

  def alias_class_method( new, old )
    instance_eval "alias #{new} #{old}"
  end

  def alias_module_function( new, old )
    alias_method new, old
    module_function new
  end

end
